diff --git a/contrib/pgbench/pgbench.c b/contrib/pgbench/pgbench.c
new file mode 100644
index 08095a9..8dc81e5
*** a/contrib/pgbench/pgbench.c
--- b/contrib/pgbench/pgbench.c
*************** preparedStatementName(char *buffer, int 
*** 862,875 ****
  static bool
  clientDone(CState *st, bool ok)
  {
! 	/*
! 	 * When the connection finishes normally, don't call PQfinish yet.
! 	 * PQfinish can cause significant delays in other clients that are
! 	 * still running.  Rather than finishing all of them here, in the
! 	 * normal case clients are instead closed in bulk by disconnect_all,
! 	 * after they have all stopped.
! 	 */
! 	if ((st->con != NULL) && ok)
  	{
  		PQfinish(st->con);
  		st->con = NULL;
--- 862,870 ----
  static bool
  clientDone(CState *st, bool ok)
  {
! 	(void) ok;					/* unused */
! 
! 	if (st->con != NULL)
  	{
  		PQfinish(st->con);
  		st->con = NULL;
